%define name    wavegain
%define iname   WaveGain
%define version 1.3.1
%define release %mkrel 2

Summary:	WaveGain is a program that applies ReplayGain to wave files.
Summary(de):	Programm, welches ReplayGain auf wave Dateien anwendet
Name:	   	%{name}
Version:   	%{version}
Release:   	%{release}
License: 	LGPLv2+
Group: 	 	Sound
URL:     	http://www.rarewares.org/others.php#wavegain
Source:  	%{iname}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{iname}-%{version}-%{release}-buildroot
Requires: 	%{_lib}sndfile1
Requires: 	flac
Requires: 	%{_lib}ogg0

%description
WaveGain is a program that applies ReplayGain to wave files. WaveGain is
an application of the ReplayGain algorithms to standard PCM wave files. 
Where it differs from the other applications of this principle is that the
gain adjustments are applied directly to adjusting the scaling of the samples.

%description -l de
WaveGain ist ein Programm, das ReplayGain auf Wave-Dateien anwendet. WaveGain ist 
eine Anwendung die die ReplayGain Algorithmen für Standard PCM Wave-Dateien 
anwendet.

Wo es sich im Grundsatz von den anderen Anwendungen unterscheidet ist, dass die 
Anpassungen und Einstellungen direkt auf die Skalierung der Samples angewendet 
wird.

%prep
%setup -q -n %{iname}-%{version}

%build


cat > Makefile.linux  << EOF
all:
	gcc *.c -o wavegain -DHAVE_CONFIG_H -lm

install:
	install -d /usr/bin/
	install -m 0755 wavegain /usr/bin/

clean:
	rm -Rf wavegain *.o
EOF



make -f  Makefile.linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 wavegain $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc COPYING
%{_bindir}/wavegain


%changelog
* Tue Jun 05 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.3.1-2pclos2012
- process

* Tue Jun 05 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.3.1-2pclos2012
- dependencie fix %{_lib}ogg --> %{_lib}ogg0

* Sun Jun 03 2012 Neal <nealbrks0 at gmail dot com> 1.3.1-1pclos2012
- process

* Sun Jun 03 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.3.1-1pclos2012
- added %{_lib} macros
- added xz compression
- added german summary and description
- renamed spec to pclos-wavegain.spec

* Wed Sep 17 2008 don_crissti <don_crissti@gmx.com> 1.2.6-1pclos2007
- import WaveGain

